Ask Your Question
1

[could not install deps] Error command tox when set up Mistral

asked 2015-08-28 08:12:21 -0500

daikk115 gravatar image

updated 2015-08-29 18:47:58 -0500

smaffulli gravatar image

I'm trying to install Mistral but when I run the command "tox", the error like this:

    ___________________________________ summary ____________________________________
    ERROR:   py27: could not install deps [-r/home/bkcloud15/mistral/requirements.txt, -r/home/bkcloud15/mistral/test-requirements.txt]
    ERROR:   py33: InterpreterNotFound: python3.3
    ERROR:   py34: could not install deps [-r/home/bkcloud15/mistral/requirements.txt, -r/home/bkcloud15/mistral/test-requirements.txt]
    ERROR:   pep8: could not install deps [-r/home/bkcloud15/mistral/requirements.txt, -r/home/bkcloud15/mistral/test-requirements.txt]

I'm not using devstack

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2016-09-21 02:22:49 -0500

d0ugal gravatar image

I would suggest trying again - this is quite old now at this point.

However, I wouldn't recommend installing mistral with tox unless you are doing so for development. There is a good install guide here: http://docs.openstack.org/developer/mistral/guides/installation_guide.html (http://docs.openstack.org/developer/m...)

You also need to show us more of the output from tox, the bit before what you copied usually contains the error message that we need to debug it.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2015-08-28 08:01:47 -0500

Seen: 1,497 times

Last updated: Sep 21 '16